package domain

type TmallItemSeriesItemseriesInsertorupdateItemSeriesExtendDO struct {
	/*
	   系列玩法     */
	Mode *string `json:"mode,omitempty" `

	/*
	   类目id     */
	CatId *int64 `json:"cat_id,omitempty" `

	/*
	   分组信息     */
	GroupItemList *[]TmallItemSeriesItemseriesInsertorupdateGroupItem `json:"group_item_list,omitempty" `

	/*
	   系列名称     */
	SeriesName *string `json:"series_name,omitempty" `

	/*
	   系列描述     */
	SeriesDesc *string `json:"series_desc,omitempty" `
}

func (s *TmallItemSeriesItemseriesInsertorupdateItemSeriesExtendDO) SetMode(v string) *TmallItemSeriesItemseriesInsertorupdateItemSeriesExtendDO {
	s.Mode = &v
	return s
}
func (s *TmallItemSeriesItemseriesInsertorupdateItemSeriesExtendDO) SetCatId(v int64) *TmallItemSeriesItemseriesInsertorupdateItemSeriesExtendDO {
	s.CatId = &v
	return s
}
func (s *TmallItemSeriesItemseriesInsertorupdateItemSeriesExtendDO) SetGroupItemList(v []TmallItemSeriesItemseriesInsertorupdateGroupItem) *TmallItemSeriesItemseriesInsertorupdateItemSeriesExtendDO {
	s.GroupItemList = &v
	return s
}
func (s *TmallItemSeriesItemseriesInsertorupdateItemSeriesExtendDO) SetSeriesName(v string) *TmallItemSeriesItemseriesInsertorupdateItemSeriesExtendDO {
	s.SeriesName = &v
	return s
}
func (s *TmallItemSeriesItemseriesInsertorupdateItemSeriesExtendDO) SetSeriesDesc(v string) *TmallItemSeriesItemseriesInsertorupdateItemSeriesExtendDO {
	s.SeriesDesc = &v
	return s
}
